(function ($) {

  $(document).ready(function () {
    $("body").prepend('<div class="seo-preview"></div>');
    $("div.seo-preview").append('<a class="seo-preview-toggle seo-border-bottom" href="#">SEO Preview</a>');
    $("div.seo-preview").append('<div class="seo-tipps"></div>');
    $("div.seo-preview").append('<div class="seo-title"></div>');
    $("div.seo-preview").append('<div class="seo-url"></div>');
    $("div.seo-preview").append('<div class="seo-description"></div>');

    if (Drupal.settings.seo_preview.minimize_by_default == 1) {
      $("div.seo-preview").addClass('seo-preview-hidden');
    }

    $(".seo-preview .seo-preview-toggle").click(function(event) {
      $(".seo-preview").toggleClass('seo-preview-hidden');
      event.preventDefault();
    });

    // Get page title
    var seo_title = $(document).attr('title');
    if (seo_title.length > 69) {
      seo_title = seo_title.substr(0, 69) + '...';
    }
    $(".seo-preview .seo-title").html(seo_title);

    // Get URL
    var seo_pathname = window.location.href;
    seo_pathname = seo_pathname.replace('http://', "");
    seo_pathname = seo_pathname.split("#");
    seo_pathname = seo_pathname[0];
    $(".seo-preview .seo-url").html(seo_pathname);

    // Get meta description
    var seo_description = $("meta[name=description]").attr("content");
    var seo_description_visible = seo_description.substr(0, 156);
    var seo_description_invisible = '<span class="seo-description-fade">' + seo_description.substr(156, 1000) + '</span>';
    var seo_description_counter = '';
    if (seo_description) {
      seo_description_counter = ' <span class="seo-counter">(' + Drupal.t('Description @length of 156 characters', {'@length': seo_description.length}) + ')</span>';
    }
    $(".seo-preview .seo-description").html(seo_description_visible + seo_description_invisible + seo_description_counter);

    // Display hints.
    if (Drupal.settings.seo_preview.display_hints == 1) {
      var seo_tipp_title = Drupal.t('<b>Title</b>: Your title Tag is <b>@length</b> characters long. Reminder: Search engines like Google will cut off long titles. There is no general rule, but we recommend to keep the title below 65 characters and shorter. Place important keywords at the beginning of the title. Avoid long words at the end of the title. Write for humans! Keep in mind: Search engines do not "crawl keywords" their business is to present good and matching content to their users.', {'@length': seo_title.length});
      $("div.seo-preview .seo-tipps").append('<div class="seo-tipp seo-border-bottom">' + seo_tipp_title + '</div>');

      var seo_tipp_description = Drupal.t('<b>Description</b>: Your meta description is <b>@length</b> characters long. We recommend to keep the meta description around 150 but not longer than 156 characters. Write for humans! Summarize your content and try to give valuable information.', {'@length': seo_description.length});
      $("div.seo-preview .seo-tipps").append('<div class="seo-tipp seo-border-bottom">' + seo_tipp_description + '</div>');
    }

  });

})(jQuery);
